import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.datasource.SingleConnectionDataSource;
import org.springframework.jdbc.support.rowset.SqlRowSet;

public class Main {
  public static void main(String args[]) throws Exception {
    SingleConnectionDataSource ds = new SingleConnectionDataSource();
    ds.setDriverClassName("org.hsqldb.jdbcDriver");
    ds.setUrl("jdbc:hsqldb:data/tutorial");
    ds.setUsername("sa");
    ds.setPassword("");
    //
    // ds.setDriverClassName("com.mysql.jdbc.Driver");
    // ds.setUrl("jdbc:mysql://localhost:3306/spring");
    // ds.setUsername("spring");
    // ds.setPassword("t1cket");
    //
    // ds.setDriverClassName("oracle.jdbc.driver.OracleDriver");
    // ds.setUrl("jdbc:oracle:thin:@fiji:1521:my10g");
    // ds.setUsername("spring");
    // ds.setPassword("t1cket");

    JdbcTemplate jt = new JdbcTemplate(ds);
    jt.execute("create table employee (id int, name varchar)");
    int x = jt.update("insert into employee (id, name) values (1, 'A')");
    jt.execute("insert into employee (id, name) values (2, 'B')");
    jt.execute("insert into employee (id, name) values (3, 'C')");
    jt.execute("insert into employee (id, name) values (4, 'D')");
    jt.execute("insert into employee (id, name) values (5, 'E')");
    jt.execute("insert into employee (id, name) values (6, 'F')");

    Object[] parameters = new Object[] { new Integer(1) };
    SqlRowSet srs = jt.queryForRowSet("select id, name from employee where id > ?", parameters);
    int rowCount = 0;
    while (srs.next()) {
      System.out.println(srs.getString("id") + " - " + srs.getString("name"));
      rowCount++;
    }
    System.out.println(rowCount);

    ds.destroy();
  }

}
